你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn

Charges - List

列出基于定义的作用域的费用。

GET https://management.azure.com/{scope}/providers/Microsoft.Consumption/charges?api-version=2024-08-01
GET https://management.azure.com/{scope}/providers/Microsoft.Consumption/charges?api-version=2024-08-01&startDate={startDate}&endDate={endDate}&$filter={$filter}&$apply={$apply}

URI 参数

名称 必需 类型 说明
scope
path True

string

资源的完全限定的 Azure 资源管理器标识符。

api-version
query True

string

minLength: 1

要用于此操作的 API 版本。

$apply
query

string

可用于按 properties/billingProfileId、properties/invoiceSectionId、properties/customerId(特定于合作伙伴引导)或按 properties/invoiceSectionId 对 billingProfile 范围的费用进行分组。

$filter
query

string

可用于按属性/usageEnd(Utc 时间)、属性/usageStart(Utc 时间)筛选费用。 该筛选器支持“eq”、“lt”、“gt”、“le”、“ge”和“and”。 它当前不支持“ne”、“or”或“not”。 标记筛选器是键值对字符串,其中键和值由冒号分隔(:))。

endDate
query

string

结束日期

startDate
query

string

开始日期

响应

名称 类型 说明
200 OK

ChargesListResult

请求已成功。

Other Status Codes

ErrorResponse

意外错误响应。

安全性

azure_auth

Azure Active Directory OAuth2 Flow。

类型: oauth2
流向: implicit
授权 URL: https://login.microsoftonline.com/common/oauth2/authorize

作用域

名称 说明
user_impersonation 模拟用户帐户

示例

ChangesForBillingPeriodByDepartment-Legacy
ChangesForBillingPeriodByEnrollmentAccount-Legacy
ChargesListByBillingAccount-Modern
ChargesListByBillingAccountGroupByBillingProfileId-Modern
ChargesListByBillingAccountGroupByCustomerId-Modern
ChargesListByBillingAccountGroupByInvoiceSectionId-Modern
ChargesListByBillingProfile-Modern
ChargesListByBillingProfileGroupByInvoiceSectionId-Modern
ChargesListByBillingProfileInvoiceSection-Modern
ChargesListByCustomer-Modern
ChargesListByDepartment-Legacy
ChargesListByInvoiceSectionId-Modern
ChargesListForEnrollmentAccount-Legacy

ChangesForBillingPeriodByDepartment-Legacy

示例请求

GET https://management.azure.com/providers/Microsoft.Billing/BillingAccounts/1234/departments/42425/providers/Microsoft.Consumption/charges?api-version=2024-08-01

示例响应

{
  "value": [
    {
      "name": "chargeSummaryId1",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/BillingAccounts/1234/departments/42425/providers/Microsoft.Consumption/charges/chargeSummaryId1",
      "kind": "legacy",
      "properties": {
        "azureCharges": 5000,
        "azureMarketplaceCharges": 100,
        "billingPeriodId": "/providers/Microsoft.Billing/BillingAccounts/1234/providers/Microsoft.Billing/billingPeriods/201804",
        "chargesBilledSeparately": 60.9,
        "currency": "USD",
        "usageEnd": "2018-04-30",
        "usageStart": "2018-04-01"
      }
    }
  ]
}

ChangesForBillingPeriodByEnrollmentAccount-Legacy

示例请求

GET https://management.azure.com/providers/Microsoft.Billing/BillingAccounts/1234/enrollmentAccounts/42425/providers/Microsoft.Consumption/charges?api-version=2024-08-01

示例响应

{
  "value": [
    {
      "name": "chargeSummaryId1",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/BillingAccounts/1234/enrollmentAccounts/42425/providers/Microsoft.Consumption/charges/chargeSummaryId1",
      "kind": "legacy",
      "properties": {
        "azureCharges": 5000,
        "azureMarketplaceCharges": 100,
        "billingPeriodId": "/providers/Microsoft.Billing/BillingAccounts/1234/providers/Microsoft.Billing/billingPeriods/201804",
        "chargesBilledSeparately": 60.9,
        "currency": "USD",
        "usageEnd": "2018-04-30",
        "usageStart": "2018-04-01"
      }
    }
  ]
}

ChargesListByBillingAccount-Modern

示例请求

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Consumption/charges?api-version=2024-08-01&startDate=2019-09-01&endDate=2019-10-31

示例响应

{
  "value": [
    {
      "name": "chargeSummaryId1",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Consumption/charges/chargeSummaryId1",
      "kind": "modern",
      "properties": {
        "azureCharges": {
          "currency": "USD",
          "value": 0
        },
        "billingAccountId": "/providers/Microsoft.Billing/billingAccounts/1234:56789",
        "billingPeriodId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Billing/billingPeriods/201910",
        "billingProfileId": null,
        "chargesBilledSeparately": {
          "currency": "USD",
          "value": 265.09
        },
        "invoiceSectionId": null,
        "isInvoiced": false,
        "marketplaceCharges": {
          "currency": "USD",
          "value": 0
        },
        "usageEnd": "2019-10-31",
        "usageStart": "2019-09-01"
      }
    }
  ]
}

ChargesListByBillingAccountGroupByBillingProfileId-Modern

示例请求

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Consumption/charges?api-version=2024-08-01&startDate=2019-09-01&endDate=2019-09-30&$apply=groupby((properties/billingProfileId))

示例响应

{
  "value": [
    {
      "name": "chargeSummaryId1",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Consumption/charges/chargeSummaryId1",
      "kind": "modern",
      "properties": {
        "azureCharges": {
          "currency": "USD",
          "value": 5000
        },
        "billingAccountId": "/providers/Microsoft.Billing/billingAccounts/1234:56789",
        "billingPeriodId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/123456/providers/Microsoft.Billing/billingPeriods/201909",
        "billingProfileId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/123456",
        "chargesBilledSeparately": {
          "currency": "USD",
          "value": 60.9
        },
        "isInvoiced": false,
        "marketplaceCharges": {
          "currency": "USD",
          "value": 100
        },
        "usageEnd": "2019-09-30",
        "usageStart": "2019-09-01"
      }
    },
    {
      "name": "chargeSummaryId2",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/BillingAccounts/1234:56789/billingProfiles/42425/providers/Microsoft.Consumption/charges/chargeSummaryId2",
      "kind": "modern",
      "properties": {
        "azureCharges": {
          "currency": "USD",
          "value": 5000
        },
        "billingAccountId": "/providers/Microsoft.Billing/billingAccounts/1234:56789",
        "billingPeriodId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Billing/billingPeriods/201909",
        "billingProfileId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425",
        "chargesBilledSeparately": {
          "currency": "USD",
          "value": 60.9
        },
        "marketplaceCharges": {
          "currency": "USD",
          "value": 100
        },
        "usageEnd": "2019-09-30",
        "usageStart": "2019-09-01"
      }
    }
  ]
}

ChargesListByBillingAccountGroupByCustomerId-Modern

示例请求

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Consumption/charges?api-version=2024-08-01&startDate=2019-09-01&endDate=2019-09-30&$apply=groupby((properties/customerId))

示例响应

{
  "value": [
    {
      "name": "chargeSummaryId1",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/billingAccounts/1234:56789/customers/67890/providers/Microsoft.Consumption/charges/chargeSummaryId1",
      "kind": "modern",
      "properties": {
        "azureCharges": {
          "currency": "USD",
          "value": 5000
        },
        "billingAccountId": "/providers/Microsoft.Billing/billingAccounts/1234:56789",
        "billingPeriodId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Billing/billingPeriods/201909",
        "billingProfileId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425",
        "chargesBilledSeparately": {
          "currency": "USD",
          "value": 60.9
        },
        "customerId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/customers/67890",
        "invoiceSectionId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/invoiceSections/67890",
        "isInvoiced": false,
        "marketplaceCharges": {
          "currency": "USD",
          "value": 100
        },
        "usageEnd": "2019-09-30",
        "usageStart": "2019-09-01"
      }
    },
    {
      "name": "chargeSummaryId2",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/BillingAccounts/1234:56789/customers/123456/providers/Microsoft.Consumption/charges/chargeSummaryId2",
      "kind": "modern",
      "properties": {
        "azureCharges": {
          "currency": "USD",
          "value": 5000
        },
        "billingAccountId": "/providers/Microsoft.Billing/billingAccounts/1234:56789",
        "billingPeriodId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Billing/billingPeriods/201909",
        "billingProfileId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425",
        "chargesBilledSeparately": {
          "currency": "USD",
          "value": 60.9
        },
        "customerId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/customers/123456",
        "invoiceSectionId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/invoiceSections/67890",
        "isInvoiced": false,
        "marketplaceCharges": {
          "currency": "USD",
          "value": 100
        },
        "usageEnd": "2019-09-30",
        "usageStart": "2019-09-01"
      }
    }
  ]
}

ChargesListByBillingAccountGroupByInvoiceSectionId-Modern

示例请求

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425/providers/Microsoft.Consumption/charges?api-version=2024-08-01&startDate=2019-09-01&endDate=2019-09-30&$apply=groupby((properties/invoiceSectionId))

示例响应

{
  "value": [
    {
      "name": "chargeSummaryId1",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425/invoiceSections/4567/providers/Microsoft.Consumption/charges/chargeSummaryId1",
      "kind": "modern",
      "properties": {
        "azureCharges": {
          "currency": "USD",
          "value": 5000
        },
        "billingAccountId": "/providers/Microsoft.Billing/billingAccounts/1234:56789",
        "billingPeriodId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Billing/billingPeriods/201909",
        "billingProfileId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425",
        "chargesBilledSeparately": {
          "currency": "USD",
          "value": 60.9
        },
        "invoiceSectionId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/invoiceSections/4567",
        "isInvoiced": false,
        "marketplaceCharges": {
          "currency": "USD",
          "value": 100
        },
        "usageEnd": "2019-09-30",
        "usageStart": "2019-09-01"
      }
    },
    {
      "name": "chargeSummaryId2",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/BillingAccounts/1234:56789//billingProfiles/42425/invoiceSections/67890/providers/Microsoft.Consumption/charges/chargeSummaryId2",
      "kind": "modern",
      "properties": {
        "azureCharges": {
          "currency": "USD",
          "value": 5000
        },
        "billingAccountId": "/providers/Microsoft.Billing/billingAccounts/1234:56789",
        "billingPeriodId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Billing/billingPeriods/201909",
        "billingProfileId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425",
        "chargesBilledSeparately": {
          "currency": "USD",
          "value": 60.9
        },
        "invoiceSectionId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/invoiceSections/67890",
        "isInvoiced": false,
        "marketplaceCharges": {
          "currency": "USD",
          "value": 100
        },
        "usageEnd": "2019-09-30",
        "usageStart": "2019-09-01"
      }
    }
  ]
}

ChargesListByBillingProfile-Modern

示例请求

GET https://management.azure.com/providers/Microsoft.Billing/BillingAccounts/1234:56789/billingProfiles/2460/providers/Microsoft.Consumption/charges?api-version=2024-08-01

示例响应

{
  "value": [
    {
      "name": "chargeSummaryId1",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/2460/providers/Microsoft.Consumption/charges/chargeSummaryId1",
      "kind": "modern",
      "properties": {
        "azureCharges": {
          "currency": "USD",
          "value": 0
        },
        "billingAccountId": "/providers/Microsoft.Billing/billingAccounts/1234:56789",
        "billingPeriodId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Billing/billingPeriods/201910",
        "billingProfileId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/2460",
        "chargesBilledSeparately": {
          "currency": "USD",
          "value": 265.09
        },
        "invoiceSectionId": null,
        "isInvoiced": false,
        "marketplaceCharges": {
          "currency": "USD",
          "value": 0
        },
        "usageEnd": "2023-05-31",
        "usageStart": "2023-03-01"
      }
    }
  ]
}

ChargesListByBillingProfileGroupByInvoiceSectionId-Modern

示例请求

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425/providers/Microsoft.Consumption/charges?api-version=2024-08-01&startDate=2019-09-01&endDate=2019-09-30&$apply=groupby((properties/invoiceSectionId))

示例响应

{
  "value": [
    {
      "name": "chargeSummaryId1",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425/invoiceSections/4567/providers/Microsoft.Consumption/charges/chargeSummaryId1",
      "kind": "modern",
      "properties": {
        "azureCharges": {
          "currency": "USD",
          "value": 5000
        },
        "billingAccountId": "/providers/Microsoft.Billing/billingAccounts/1234:56789",
        "billingPeriodId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Billing/billingPeriods/201909",
        "billingProfileId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425",
        "chargesBilledSeparately": {
          "currency": "USD",
          "value": 60.9
        },
        "invoiceSectionId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/invoiceSections/4567",
        "isInvoiced": false,
        "marketplaceCharges": {
          "currency": "USD",
          "value": 100
        },
        "usageEnd": "2019-09-30",
        "usageStart": "2019-09-01"
      }
    },
    {
      "name": "chargeSummaryId2",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/BillingAccounts/1234:56789//billingProfiles/42425/invoiceSections/67890/providers/Microsoft.Consumption/charges/chargeSummaryId2",
      "kind": "modern",
      "properties": {
        "azureCharges": {
          "currency": "USD",
          "value": 5000
        },
        "billingAccountId": "/providers/Microsoft.Billing/billingAccounts/1234:56789",
        "billingPeriodId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Billing/billingPeriods/201909",
        "billingProfileId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425",
        "chargesBilledSeparately": {
          "currency": "USD",
          "value": 60.9
        },
        "invoiceSectionId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/invoiceSections/67890",
        "isInvoiced": false,
        "marketplaceCharges": {
          "currency": "USD",
          "value": 100
        },
        "usageEnd": "2019-09-30",
        "usageStart": "2019-09-01"
      }
    }
  ]
}

ChargesListByBillingProfileInvoiceSection-Modern

示例请求

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425/invoiceSections/67890/providers/Microsoft.Consumption/charges?api-version=2024-08-01&startDate=2019-09-01&endDate=2019-10-31

示例响应

{
  "value": [
    {
      "name": "chargeSummaryId1",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425/invoiceSections/67890/providers/Microsoft.Consumption/charges/chargeSummaryId1",
      "kind": "modern",
      "properties": {
        "azureCharges": {
          "currency": "USD",
          "value": 5000
        },
        "billingAccountId": "/providers/Microsoft.Billing/billingAccounts/1234:56789",
        "billingPeriodId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Billing/billingPeriods/201909",
        "billingProfileId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425",
        "chargesBilledSeparately": {
          "currency": "USD",
          "value": 60.9
        },
        "invoiceSectionId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425/invoiceSections/4567",
        "isInvoiced": false,
        "marketplaceCharges": {
          "currency": "USD",
          "value": 100
        },
        "usageEnd": "2019-09-30",
        "usageStart": "2019-09-01"
      }
    },
    {
      "name": "chargeSummaryId2",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425/invoiceSections/67890/providers/Microsoft.Consumption/charges/chargeSummaryId2",
      "kind": "modern",
      "properties": {
        "azureCharges": {
          "currency": "USD",
          "value": 5000
        },
        "billingAccountId": "/providers/Microsoft.Billing/billingAccounts/1234:56789",
        "billingPeriodId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Billing/billingPeriods/201910",
        "billingProfileId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425",
        "chargesBilledSeparately": {
          "currency": "USD",
          "value": 60.9
        },
        "invoiceSectionId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/42425/invoiceSections/4567",
        "isInvoiced": false,
        "marketplaceCharges": {
          "currency": "USD",
          "value": 100
        },
        "usageEnd": "2019-10-31",
        "usageStart": "2019-09-01"
      }
    }
  ]
}

ChargesListByCustomer-Modern

示例请求

GET https://management.azure.com/providers/Microsoft.Billing/BillingAccounts/1234:56789/customers/67890/providers/Microsoft.Consumption/charges?api-version=2024-08-01

示例响应

{
  "value": [
    {
      "name": "chargeSummaryId1",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/billingAccounts/1234:56789/customers/67890/providers/Microsoft.Consumption/charges/chargeSummaryId1",
      "kind": "modern",
      "properties": {
        "azureCharges": {
          "currency": "USD",
          "value": 0
        },
        "billingAccountId": "/providers/Microsoft.Billing/billingAccounts/1234:56789",
        "billingPeriodId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Billing/billingPeriods/201910",
        "billingProfileId": null,
        "chargesBilledSeparately": {
          "currency": "USD",
          "value": 265.09
        },
        "invoiceSectionId": null,
        "isInvoiced": false,
        "marketplaceCharges": {
          "currency": "USD",
          "value": 0
        },
        "usageEnd": "2023-05-31",
        "usageStart": "2023-03-01"
      }
    }
  ]
}

ChargesListByDepartment-Legacy

示例请求

GET https://management.azure.com/providers/Microsoft.Billing/BillingAccounts/1234/departments/42425/providers/Microsoft.Consumption/charges?api-version=2024-08-01&$filter=usageStart eq '2018-04-01' AND usageEnd eq '2018-05-30'

示例响应

{
  "value": [
    {
      "name": "chargeSummaryId1",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/BillingAccounts/1234/departments/42425/providers/Microsoft.Consumption/charges/chargeSummaryId1",
      "kind": "legacy",
      "properties": {
        "azureCharges": 5000,
        "azureMarketplaceCharges": 100,
        "billingPeriodId": "/providers/Microsoft.Billing/BillingAccounts/1234/providers/Microsoft.Billing/billingPeriods/201804",
        "chargesBilledSeparately": 60.9,
        "currency": "USD",
        "usageEnd": "2018-04-30",
        "usageStart": "2018-04-01"
      }
    }
  ]
}

ChargesListByInvoiceSectionId-Modern

示例请求

GET https://management.azure.com/providers/Microsoft.Billing/BillingAccounts/1234:56789/invoiceSections/97531/providers/Microsoft.Consumption/charges?api-version=2024-08-01

示例响应

{
  "value": [
    {
      "name": "chargeSummaryId1",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/2460/invoiceSections/97531/providers/Microsoft.Consumption/charges/chargeSummaryId1",
      "kind": "modern",
      "properties": {
        "azureCharges": {
          "currency": "USD",
          "value": 12
        },
        "billingAccountId": "/providers/Microsoft.Billing/billingAccounts/1234:56789",
        "billingPeriodId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/providers/Microsoft.Billing/billingPeriods/201910",
        "billingProfileId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/2460",
        "chargesBilledSeparately": {
          "currency": "USD",
          "value": 0
        },
        "invoiceSectionId": "/providers/Microsoft.Billing/billingAccounts/1234:56789/billingProfiles/2460/invoiceSections/97531",
        "isInvoiced": false,
        "marketplaceCharges": {
          "currency": "USD",
          "value": 0
        },
        "usageEnd": "2023-05-31",
        "usageStart": "2023-03-01"
      }
    }
  ]
}

ChargesListForEnrollmentAccount-Legacy

示例请求

GET https://management.azure.com/providers/Microsoft.Billing/BillingAccounts/1234/enrollmentAccounts/42425/providers/Microsoft.Consumption/charges?api-version=2024-08-01

示例响应

{
  "value": [
    {
      "name": "chargeSummaryId1",
      "type": "Microsoft.Consumption/charges",
      "id": "/providers/Microsoft.Billing/BillingAccounts/1234/enrollmentAccounts/42425/providers/Microsoft.Consumption/charges/chargeSummaryId1",
      "kind": "legacy",
      "properties": {
        "azureCharges": 5000,
        "azureMarketplaceCharges": 100,
        "billingPeriodId": "/providers/Microsoft.Billing/BillingAccounts/1234/providers/Microsoft.Billing/billingPeriods/201804",
        "chargesBilledSeparately": 60.9,
        "currency": "USD",
        "usageEnd": "2018-04-30",
        "usageStart": "2018-04-01"
      }
    }
  ]
}

定义

名称 说明
amount

金额加货币。

ChargesListResult

列出费用摘要的结果。

ChargeSummaryKind

指定费用摘要的类型。

createdByType

创建资源的标识的类型。

ErrorAdditionalInfo

资源管理错误附加信息。

ErrorDetail

错误详细信息。

ErrorResponse

错误响应

LegacyChargeSummary

旧版费用摘要。

ModernChargeSummary

新式费用摘要。

systemData

与创建和上次修改资源相关的元数据。

amount

金额加货币。

名称 类型 说明
currency

string

金额货币。

value

number (decimal)

量。

ChargesListResult

列出费用摘要的结果。

名称 类型 说明
value ChargeSummary[]:

费用摘要列表

ChargeSummaryKind

指定费用摘要的类型。

说明
legacy
modern

createdByType

创建资源的标识的类型。

说明
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

资源管理错误附加信息。

名称 类型 说明
info

object

其他信息。

type

string

其他信息类型。

ErrorDetail

错误详细信息。

名称 类型 说明
additionalInfo

ErrorAdditionalInfo[]

错误附加信息。

code

string

错误代码。

details

ErrorDetail[]

错误详细信息。

message

string

错误消息。

target

string

错误目标。

ErrorResponse

错误响应

名称 类型 说明
error

ErrorDetail

错误对象。

LegacyChargeSummary

旧版费用摘要。

名称 类型 说明
eTag

string

资源的 eTag。 若要处理并发更新方案,此字段将用于确定用户是否正在更新最新版本。

id

string

资源的完全限定资源 ID。 示例 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

kind string:

legacy

指定费用摘要的类型。

name

string

资源的名称

properties.azureCharges

number (decimal)

Azure 费用。

properties.azureMarketplaceCharges

number (decimal)

市场费用。

properties.billingPeriodId

string

费用所属的计费周期资源的 ID。

properties.chargesBilledSeparately

number (decimal)

单独计费的费用。

properties.currency

string

币种代码

properties.usageEnd

string

使用情况结束日期。

properties.usageStart

string

使用情况开始日期。

systemData

systemData

包含 createdBy 和 modifiedBy 信息的 Azure 资源管理器元数据。

type

string

资源类型。 例如“Microsoft.Compute/virtualMachines”或“Microsoft.Storage/storageAccounts”

ModernChargeSummary

新式费用摘要。

名称 类型 说明
eTag

string

资源的 eTag。 若要处理并发更新方案,此字段将用于确定用户是否正在更新最新版本。

id

string

资源的完全限定资源 ID。 示例 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

kind string:

modern

指定费用摘要的类型。

name

string

资源的名称

properties.azureCharges

amount

Azure 费用。

properties.billingAccountId

string

计费帐户 ID

properties.billingPeriodId

string

费用所属的计费周期资源的 ID。

properties.billingProfileId

string

计费配置文件 ID

properties.chargesBilledSeparately

amount

单独计费的费用。

properties.customerId

string

客户 ID

properties.invoiceSectionId

string

发票科目 ID

properties.isInvoiced

boolean

已开具发票

properties.marketplaceCharges

amount

市场费用。

properties.subscriptionId

string

订阅 guid。

properties.usageEnd

string

使用情况结束日期。

properties.usageStart

string

使用情况开始日期。

systemData

systemData

包含 createdBy 和 modifiedBy 信息的 Azure 资源管理器元数据。

type

string

资源类型。 例如“Microsoft.Compute/virtualMachines”或“Microsoft.Storage/storageAccounts”

systemData

与创建和上次修改资源相关的元数据。

名称 类型 说明
createdAt

string (date-time)

资源创建时间戳(UTC)。

createdBy

string

创建资源的标识。

createdByType

createdByType

创建资源的标识的类型。

lastModifiedAt

string (date-time)

上次修改的资源时间戳(UTC)

lastModifiedBy

string

上次修改资源的标识。

lastModifiedByType

createdByType

上次修改资源的标识的类型。